Subject: Re: [GROW] Private IP in SP cores

From: "tom.petch" <[email-masked]>
Date: Thu, 4 Mar 2010 15:47:12 +0100

Tony

Sorry that I am being cranky again.

The practice I am used to is seeing the announcement of an I-D (direct from the
ietfid list, or forwarded by the author to the WG list) and then retrieving the
document from one of the databases.  I haven't seen the announcement, nor can I
find the document in the usual places:-(

If you forwarded the document to the list, well, as you may recall, I am not a
fan of big e-mails (but I am a fan of WG chairs who moderate lists with a size
limit of 40kbyte:-) so anything over 40kbyte may well have been junked as spam
if I were busy. I have not seen the document yet but will read it when I do.

I am sorry you had difficulties with XML.  I would be happy to assist with that
if you need to know more.  Reading between the lines, I suspect that you may be
unfamiliar with the format rules for RFC and I-D, which require certain sections
and certain text.  Sadly, this information is widely scattered.

The RFC Editor, through whom everything ultimately passes, has their own web
site, with their own rules, containing variously Instructions to RFC Authors, or
Editorial Policies or RFC Document Style.  There is an out-of-date RFC, RFC2223,
attempts to update which stalled, although RFC5741 is a good read.

I-Ds are a bit more flexible and recently the IESG produced 'Guidelines to
Authors of Internet-Drafts', which is probably the best starting point.  The
document is called '1id-guidelines.txt' ( why not?) which is of course not on
the RFC Editor's web site because it is not a production of the RFC Editor.
Rather, it appears in the IESG web pages.

It may take a day to become familiar with this, but is worth it to get an RFC
published (well, I think so:-).

Xml2rfc; ah yes, the options available and which to choose appeared in an e-mail
to the IETF list some months ago, which I always manage to find when I need to.
This is a tool, and so not connected to the RFC Editor, the IESG or almost
anyone else.  I assume that you have found it on the right web page, something I
always struggle to do.  The trick then is to always use the 'T' version, never
the production version, since the latter will produce boiler plate that is
unacceptable to the submission tool.

Finally, there is a blackout on I-D in the run up to an IETF meeting, which we
are now in, which may be why I can find neither announcement nor document.

Tom Petch

----- Original Message -----
From: "Jens Brey" <[email-masked]>
To: <[email-masked]>
Sent: Saturday, February 27, 2010 12:48 PM
Subject: Re: [GROW] Private IP in SP cores

> Hi Tony,
>
> thanks for the effort. I think this is a very usefull document, describe
> the pros and cons and I would like to see this as a informational RFC.
>
> BR,
> Jens
>
>
> Am 27.02.2010 07:09, schrieb Tony Kirkham:
> > Hi again,
> >
> > As previously requested I have converted my draft over to XML and text
> > formats.
> >
> > A few points. I had several fights with the RFC XML to txt converter.
> > It forced the inclusion of 'security considerations' and 'normative
> > references'. I'm not sure these were part of the natural flow but are
> > included because I basically 'had no choice'.
> >
> > I realise some of the formating will need some extra work. I'm no
> > expert in XML, so it was a learn on the fly type experience. In
> > particular, I know the references need some more work. However, before
> > I put any more time into this, I wanted to be confident that the
> > material is useful and has some chance of being published. So a review
> > would be greatly appreciated.
> >
> > Thanks very much, hope this is useful.
> >
> > Tony K
> >
> >
> > --
> >
> > *Anthony Kirkham*
> > *Solution Architect
> >
> > ***World Wide Security
> > Service Practice
> > **
> > [email-masked] <mailto:[email-masked]>
> > Phone: *+61 (0)7 3238 8203*
> > Mobile: *+61 (0)401 890 494*
> >
> > CISSP, CCIE# - 1378
> >
> >
> >
> > **
> >
> >
> > Level 12, 300 Adelaide Street
> > Brisbane, Qld, 4000
> > Australia
> > Cisco home page <http://www.cisco.com/global/AU/>
> >
> >
> >
> >
> >
> >
> > _______________________________________________
> > GROW mailing list
> > [email-masked]
> > https://www.ietf.org/mailman/listinfo/grow
> >
>
>

--------------------------------------------------------------------------------

> Hi Tony,
>
> thanks for the effort. I think this is a very usefull document, describe the
pros and cons and I would like to see this as a informational RFC.
>
> BR,
> Jens
>
>
> Am 27.02.2010 07:09, schrieb Tony Kirkham:
>   Hi again,
>
>   As previously requested I have converted my draft over to XML and text
formats.
>
>   A few points. I had several fights with the RFC XML to txt converter. It
forced the inclusion of 'security considerations' and 'normative references'.
I'm not sure these were part of the natural flow but are included because I
basically 'had no choice'.
>
>   I realise some of the formating will need some extra work. I'm no expert in
XML, so it was a learn on the fly type experience. In particular, I know the
references need some more work. However, before I put any more time into this, I
wanted to be confident that the material is useful and has some chance of being
published. So a review would be greatly appreciated.
>
>   Thanks very much, hope this is useful.
>
>   Tony K
>
>
>
>   --
>
>               Anthony Kirkham
>               Solution Architect
>
>               World Wide Security
>               Service Practice
>
>               [email-masked]
>               Phone: +61 (0)7 3238 8203
>               Mobile: +61 (0)401 890 494
>
>               CISSP, CCIE# - 1378
>
>
>
>
>
>
>               Level 12, 300 Adelaide Street
>               Brisbane, Qld, 4000
>               Australia
>               Cisco home page
>
>
>
>
>
>
>
>
>
> _______________________________________________
> GROW mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/grow
>
>

--------------------------------------------------------------------------------

> _______________________________________________
> GROW mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/grow
>

---

From: Tony Kirkham <[email-masked]>
Date: Fri, 05 Mar 2010 08:32:14 +1000

Tom,

Thanks for the detailed reply. I'm just new to the group and unfamiliar 
with the processes. I had only sent the doc to the GROW email alias, so 
this is why you will probably not find it elsewhere. I will look over 
the information you have provided below. But if you could point me 
towards where I need to submit the draft, I would appreciate it.

Regards
Tony K

-- 

*Anthony Kirkham*
*Solution Architect

***World Wide Security
Service Practice
**

CISSP, CCIE# - 1378

**

---

From: "tom.petch" <[email-masked]>
Date: Fri, 5 Mar 2010 20:18:46 +0100

Ah, I should have stepped back a little more.

There is a tool (the one  I struggle to find) which takes XML and converts it to
a
suitable format for I-D or RFC (give or take a few bits of out of data boiler
plate relating to copyright).

This is at
http://xml.resource.org/

(well, where else would it be?) and as I said, you usually need the development
version and may need some hand editing of copyright notices even then.

Having let that tool generate the text, there is a second tool which, when
allowed to read your data, checks the formatting and if ok, creates an I-D (the
IETF is incredibly relaxed about what I-Ds appear in its name).  Nowadays you
get an e-mail which you must action before the I-D is generated.  An
announcement then appears on the i-d-announce list and is sent to the authors.
As I said, we are currently in a blackout so you will have to wait for this.

The tool is at
https://datatracker.ietf.org/idst/upload.cgi
or IETF Home -> Internet Drafts ->Submit

There is a third tool which checks more thoroughly for 'nits'.

http://tools.ietf.org/tools/idnits/

If you go IETF Home -> Tools, well, I know of no way of getting to it:-(

Tom Petch

----- Original Message -----
From: "Tony Kirkham" <[email-masked]>
To: "tom.petch" <[email-masked]>
Cc: "Jens Brey" <[email-masked]>; <[email-masked]>
Sent: Thursday, March 04, 2010 11:32 PM
Subject: Re: [GROW] Private IP in SP cores

> >>> Thanks very much, hope this is useful.
the

> Tom,
>
> Thanks for the detailed reply. I'm just new to the group and unfamiliar with
the processes. I had only sent the doc to the GROW email alias, so this is why
you will probably not find it elsewhere. I will look over the information you
have provided below. But if you could point me towards where I need to submit
the draft, I would appreciate it.